Subject: [Imap-uw] more on flock() on Linux in 2004d vs. 2004e

From: Mark Crispin <[email-masked]>
Date: Tue, 14 Jun 2005 16:13:18 -0700

It turns out that imap-2004d has the workaround for the incompatible
change that exists in newer versions of Linux.  So, if you're running
2004d, you should not experience the spurious failure to upgrade a lock
from shared to exclusive.

Versions previous to 2004d will have this problem if they attempt to use
mbx format on a network filesystem with newer Linux kernels.  However, it
is *NOT* recommended to use mbx format on a network filesystem under any
circumstance.

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.
Si vis pacem, para bellum.

_______________________________________________
Imap-uw mailing list
[email-masked]
https://mailman1.u.washington.edu/mailman/listinfo/imap-uw